import abc

from source import managers


class BaseRole(abc.ABC):
    @abc.abstractmethod
    def handle(self, manager: "managers.Manager") -> None:
        """
        Behavior of the role
        """
